import { Injectable } from "@angular/core";
import { HttpClient, HttpHeaders  } from "@angular/common/http";
import { Observable } from "rxjs";

@Injectable({
  providedIn: "root",
})
export class BuildingService {
  constructor(private http: HttpClient) {}

  getBuildingData(page: number = 1, limit: number = 10): Observable<any> {
    const url = `https://kapi.absys.ninja/hemat/building?page=${page}&limit=${limit}`;
    // const headers = new HttpHeaders().set('Content-Type', 'application/json');
    const headers = new HttpHeaders({
      'Content-Type': 'application/json',
      'x-api-key': 'j2yaYvPSQcsEEmHh3NEobfiXyyXmmnHT'
    });
    return this.http.get<any>(url, { headers });
  }

  getDeviceData(page: number = 1, limit: number = 10): Observable<any> {
    const url = `https://kapi.absys.ninja/hemat/devices?page=${page}&limit=${limit}`;
    const headers = new HttpHeaders({
      'Content-Type': 'application/json',
      'x-api-key': 'j2yaYvPSQcsEEmHh3NEobfiXyyXmmnHT'
    });
    return this.http.get<any>(url, { headers });
  }

  getSyncDeviceData(page: number = 1, limit: number = 10): Observable<any> {
    const url = `https://kapi.absys.ninja/hemat/devices/Synchronization`;
    const headers = new HttpHeaders({
      'Content-Type': 'application/json',
      'x-api-key': 'j2yaYvPSQcsEEmHh3NEobfiXyyXmmnHT'
    });
    return this.http.get<any>(url, { headers });
  }

  getDeviceById(deviceId: any): Observable<any> {
    const url = `https://kapi.absys.ninja/hemat/devices/${deviceId}`;
    const headers = new HttpHeaders({
      'Content-Type': 'application/json',
      'x-api-key': 'j2yaYvPSQcsEEmHh3NEobfiXyyXmmnHT'
    });
    return this.http.get<any>(url, { headers });
  }

  getMasterData(page: number = 1, limit: number = 10): Observable<any> {
    const url = `https://kapi.absys.ninja/hemat/header-param?page=${page}&limit=${limit}`;
    const headers = new HttpHeaders({
      'Content-Type': 'application/json',
      'x-api-key': 'j2yaYvPSQcsEEmHh3NEobfiXyyXmmnHT'
    });
    return this.http.get<any>(url, { headers });
  }

  postHeaderDetailParam(data: any): Observable<any> {
    const url = `https://kapi.absys.ninja/hemat/header-detail-param`;
    const headers = new HttpHeaders({
      'Content-Type': 'application/json',
      'x-api-key': 'j2yaYvPSQcsEEmHh3NEobfiXyyXmmnHT'
    });
    return this.http.post<any>(url, data, { headers });
  }
  putHeaderDetailParam(data: any, id: any): Observable<any> {
    const url = `https://kapi.absys.ninja/hemat/header-detail-param/${id}`;
    const headers = new HttpHeaders({
      'Content-Type': 'application/json',
      'x-api-key': 'j2yaYvPSQcsEEmHh3NEobfiXyyXmmnHT'
    });
    return this.http.put<any>(url, data, { headers });
  }
  
  deleteHeaderDetailParam(id: any): Observable<any> {
    const url = `https://kapi.absys.ninja/hemat/header-detail-param/${id}`;
    const headers = new HttpHeaders({
      'Content-Type': 'application/json',
      'x-api-key': 'j2yaYvPSQcsEEmHh3NEobfiXyyXmmnHT'
    });
    return this.http.delete<any>(url, { headers });
  }
}
